%global realname gproc
%global debug_package %{nil}


Name:		erlang-%{realname}
Version:	0.2.14
Release:	1%{?dist}
Summary:	Extended process registry for Erlang
Group:		Development/Libraries
License:	ERPL
URL:		http://github.com/uwiger/gproc
# wget --content-disposition https://github.com/uwiger/gproc/archive/0.2.14.tar.gz
Source0:	%{realname}-%{version}.tar.gz
Patch1:		erlang-gproc-0001-Remove-explicit-rebar-deps-Fedora-specific.patch
Patch2:		erlang-gproc-0002-Kill-useless-eunit-include.patch
Patch3:		erlang-gproc-0003-No-such-function-lists-keyfind-3-in-R12B5-use-lists-.patch
Patch4:		erlang-gproc-0004-Missing-typedefs-in-R12B.patch
Patch5:		erlang-gproc-0005-No-such-built-in-function-error-1-in-R12B.patch
Patch6:		erlang-gproc-0006-No-such-ETS-option-in-R12B.patch
Patch7:		erlang-gproc-0007-Fix-starting-slaves-during-eunit-tests-on-R12B.patch
Patch8:		erlang-gproc-0008-Can-t-set-up-heap_size-R12B-specific.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	erlang-edown
BuildRequires:	erlang-eunit
BuildRequires:	erlang-gen_leader
BuildRequires:	erlang-rebar
# Error:erlang(erlang:min/2) in R12B and below
# Error:erlang(ets:give_away/3) in R12B and below
# Error:erlang(lists:keyfind/3) in R12B and below
Requires:	erlang-erts%{?_isa} >= R13B
Requires:	erlang-gen_leader%{?_isa}
Requires:	erlang-kernel%{?_isa}
Requires:	erlang-mnesia%{?_isa}
Requires:	erlang-stdlib%{?_isa} >= R12B-5


%description
Extended process registry for Erlang.


%prep
%setup -q -n %{realname}-%{version}
%patch1 -p1 -b .nodeps
%patch2 -p1 -b .no_eunit
%if 0%{?el5}
# Erlang/OTP R12B5
%patch3 -p1 -b .no-lists-keyfind-3
%patch4 -p1 -b .missing_typedefs
%patch5 -p1 -b .missing_builtin
%patch6 -p1 -b .no_ets_opts
#%patch7 -p1 -b .fix_slaves
%patch8 -p1 -b .cant_setup_heap_size
%endif
sed -i -e "s,git,\"%{version}\",g" src/gproc.app.src


%build
rebar compile -v
#rebar doc -v


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
mkdir -p %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/include
mkdir -p %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/priv
install -m 644 ebin/%{realname}.app %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -m 644 ebin/%{realname}*.beam %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -m 644 include/%{realname}.hrl %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/include
install -m 644 priv/sys.config %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/priv
# Remove edoc config files (not needed for end-users)
rm -f doc/edoc-info
rm -f doc/overview.edoc


%clean
rm -rf %{buildroot}


%check
rebar eunit -v


%files
%doc doc/*
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/include
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/priv
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/*.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/include/*.hrl
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/sys.config


%changelog
* Fri Dec 21 2012 Peter Lemenkov <lemenkov@gmail.com> - 0.2.14-1
- Ver. 0.2.14 (API/ABI compatible release)

* Thu Oct 11 2012 Peter Lemenkov <lemenkov@gmail.com> - 0.2.13.3-1
- Ver. 0.2.13.3

* Sun Jul 29 2012 Peter Lemenkov <lemenkov@gmail.com> - 0.2.13-1
- Ver. 0.2.13

* Sat Jul 28 2012 Peter Lemenkov <lemenkov@gmail.com> - 0.2.11-4
- Another bunch of fixes for R12B

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu May 31 2012 Peter Lemenkov <lemenkov@gmail.com> - 0.2.11-2
- Allow build on EL5

* Tue May 15 2012 Peter Lemenkov <lemenkov@gmail.com> - 0.2.11-1
- Ver. 0.2.11 (fixes rhbz #824342)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.20100929gitf0807c9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.4.20100929gitf0807c9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Nov 25 2010 Peter Lemenkov <lemenkov@gmail.com> - 0-0.3.20100929gitf0807c9
- Fixed License tag
- Removed uit-tests which requires proprietary testing software framework

* Wed Nov 10 2010 Peter Lemenkov <lemenkov@gmail.com> - 0-0.2.20100929gitf0807c9
- Use system-wide rebar
- Don't run make eunit twice

* Wed Sep 29 2010 Peter Lemenkov <lemenkov@gmail.com> - 0-0.1.20100929gitf0807c9
- Initial build

